Subject: Re: bug#5062: image-toggle-display overwrites nxml-mode local key map

From: Lennart Borgman <[email-masked]>
Date: Thu, 3 Dec 2009 04:31:15 +0100

On Thu, Dec 3, 2009 at 4:08 AM, Kevin Rodgers <[email-masked]> wrote:
> Lennart Borgman wrote:
>>
>> On Thu, Dec 3, 2009 at 1:59 AM, Juri Linkov <[email-masked]> wrote:
>>>>>
>>>>> Or did you mean a joint mode like `c-mode-and-image-minor-mode',
>>>>> `nxml-mode-and-image-minor-mode', `ps-mode-and-doc-view-minor-mode'?
>>>>> Wouldn't this be too clumsy?
>>>>
>>>> Yes, why would it be too clumsy?
>>>>
>>>> A more flexibel way might be to use define-globalized-minor-mode. The
>>>> turn on function there could make any check. It could for example look
>>>> in a list similar to auto-mode-alist, but for minor modes.
>>>>
>>>> But maybe that would take too long time?
>>>
>>> I think Stefan's idea of allowing auto-mode-alist to have entries like
>>> ("regexp" (major-mode minor-mode-1 minor-mode-2 ...)) is more universal.
>>
>>
>> Why not allow a form there then:
>>
>>   ("regexp" '(progn (major-mode) (mino-mode-1 1) (minor-mode-2 1) ...))
>
> Because it's no longer a declarative data structure that can be queried and
> modified, rather an imperative program.

Hm, yes. I use to think it is bad to put a (lambda () ...) in a hook,
because you may want to remove it later. And actually I do modify this
list to in majmodpri.el so you are right. A simple format is better.